Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 491018 - sys-devel/llvm-3.3-r3 sys-devel/clang-3.3-r100 stabilization request
Summary: sys-devel/llvm-3.3-r3 sys-devel/clang-3.3-r100 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 490942
Blocks: 490930 500368
  Show dependency tree
 
Reported: 2013-11-11 13:32 UTC by Chí-Thanh Christopher Nguyễn
Modified: 2014-03-23 11:04 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chí-Thanh Christopher Nguyễn gentoo-dev 2013-11-11 13:32:32 UTC
Please consider sys-devel/llvm-3.3-r1 and sys-devel/clang-3.3-r100 for stabilization. It is required for new mesa to go stable.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-11-11 13:37:03 UTC
I think it's fine to mark it stable, though I'd appreciate if you could wait a few hours while I try to reproduce #490942.
Comment 2 Matt Turner gentoo-dev 2013-12-22 16:26:55 UTC
Ready to Cc arches?
Comment 3 Matt Turner gentoo-dev 2014-01-28 05:10:36 UTC
(In reply to Matt Turner from comment #2)
> Ready to Cc arches?

Pretty please?
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-01-28 11:50:46 UTC
(In reply to Matt Turner from comment #3)
> (In reply to Matt Turner from comment #2)
> > Ready to Cc arches?
> 
> Pretty please?

If you could do the repoman check on changed keywords, feel free to CC them yourself.
Comment 5 Matt Turner gentoo-dev 2014-01-31 18:28:02 UTC
amd64, arm, x86: please stabilize

=sys-devel/llvm-3.3-r3
=sys-devel/clang-3.3-r100

ppc: please stabilize

=sys-devel/llvm-3.3-r3

This is blocking mesa stabilization, so please give it some priority if possible.
Comment 6 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-02-04 21:30:47 UTC
ppc: please stabilize

=sys-devel/clang-3.3-r100

too
Comment 7 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-02-05 12:46:03 UTC
ppc64: please stabilize

=sys-devel/llvm-3.3-r3
Comment 8 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2014-02-24 00:18:49 UTC
x86 stable
Comment 9 Pacho Ramos gentoo-dev 2014-02-24 23:02:41 UTC
OK to stabilize even with this?

QA: other
QA Notice: The following files contain writable and executable sections
 Files with such sections will not work properly (or at all!) on some
 architectures/operating systems.  A bug should be filed at
 http://bugs.gentoo.org/ to make sure the issue is fixed.
 For more information, see http://hardened.gentoo.org/gnu-stack.xml
 Please include the following list of files in your report:
 Note: Bugs should be filed for the respective maintainers
 of the package in question and not hardened@g.o.
!WX --- --- usr/lib/clang/3.3/lib/linux/libclang_rt.full-x86_64.a:floatundidf.o
!WX --- --- usr/lib/clang/3.3/lib/linux/libclang_rt.full-x86_64.a:floatundisf.o
!WX --- --- usr/lib/clang/3.3/lib/linux/libclang_rt.full-x86_64.a:floatundixf.o
QA Notice: The following shared libraries lack a SONAME
/usr/lib64/libLTO.so
/usr/lib64/libprofile_rt.so
Comment 10 Pacho Ramos gentoo-dev 2014-02-28 23:09:48 UTC
I guess they are no blockers then, will proceed tomorrow then ;)
Comment 11 Pacho Ramos gentoo-dev 2014-03-01 21:16:57 UTC
amd64 stable
Comment 12 Bernard Cafarelli gentoo-dev 2014-03-03 13:23:41 UTC
Late ack for the record :) these are not enough to block the stabilization process
Comment 13 Markus Meier gentoo-dev 2014-03-05 21:19:39 UTC
arm stable
Comment 14 Agostino Sarubbo gentoo-dev 2014-03-23 11:03:42 UTC
ppc stable
Comment 15 Agostino Sarubbo gentoo-dev 2014-03-23 11:04:05 UTC
ppc64 stable. Closing.